dist: trusty

sudo: false

language: php

php:
  - 5.4
  - 5.5
  - 5.6
  - 7.0
  - 7.1
  - hhvm

cache:
    directories:
        - $HOME/.composer/cache/files

matrix:
    fast_failure: true
    include:
        - dist: precise
          php: 5.3
          env: dependencies=lowest
        - php: 7.0
          env: SYMFONY_VERSION=2.3.x
        - php: 7.0
          env: SYMFONY_VERSION=2.7.x
        - php: 7.0
          env: SYMFONY_VERSION=2.8.x
        - php: 7.0
          env: SYMFONY_VERSION=3.0.x
        - php: 7.0
          env: SYMFONY_VERSION=3.1.x
        - php: 7.1
          env: SYMFONY_VERSION=4.0.x stability=beta

before_install:
  - if [ "$TRAVIS_PHP_VERSION" != "hhvm" ]; then echo 'memory_limit=-1' >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini; fi
  - if [ "$SYMFONY_VERSION" != "" ]; then composer require --dev --no-update symfony/symfony:$SYMFONY_VERSION; fi
  - if [ "$stability" != "" ]; then composer config minimum-stability $stability; fi

install:
  - if [ "$dependencies" = "lowest" ]; then composer update --prefer-lowest --prefer-stable --prefer-dist --no-interaction; else composer update --prefer-dist --no-interaction; fi;

script: ./vendor/bin/phpunit --coverage-text
